(function($) {
    "use strict";

    //Preloader
    $(window).on('load', function() {
        $('#preloader').delay(350).fadeOut('slow');
    });
    
     // Lazy load
    $("img").unveil();

    // Set cookie
    $(".toggle-switch input").on("change", function() {
        if (this.checked) {
            $.cookie('layout_mood', 'dark', { expires: 365, path: '/' });
            $("#viewtube-dark-css").attr("href", viewtubeAjaxUrlObj.dark_url);
            $(".custom-logo-link img").removeAttr('srcset').attr("src", viewtubeAjaxUrlObj.dark_logo_url);
            // window.location.reload(true);
        } else {
            $.cookie('layout_mood', 'default', { expires: 365, path: '/' });
            $(".custom-logo-link img").removeAttr('srcset').attr("src", viewtubeAjaxUrlObj.logo_url);
            $("#viewtube-dark-css").attr("href", "");
        }
    });

    if ($.cookie('layout_mood') == 'dark') {
        $('.toggle-switch input[type="checkbox"]').prop('checked', true);
        $("#viewtube-dark-css").attr("href", viewtubeAjaxUrlObj.dark_url);
    }

    if ($.type($.cookie('layout_mood')) === "undefined") {
        if (viewtubeAjaxUrlObj.default_mood == 'dark') {
            $('.toggle-switch input[type="checkbox"]').prop('checked', true);
            $("#viewtube-dark-css").attr("href", viewtubeAjaxUrlObj.dark_url);
            $(".custom-logo-link img").removeAttr('srcset').attr("src", viewtubeAjaxUrlObj.dark_logo_url);
        }
    }

    // Plyr
    Plyr.setup('.viewtube-player-single');

    Plyr.setup('.viewtube-player', {
        controls: ['play','play-large','pip', 'fullscreen'],
    });

    $('.video-item-card').hover(
        function() {
            $('.viewtube-player', this).get(0).play();
        },
        function() {
            $('.viewtube-player', this).get(0).pause();
        }
    );

    // Like Button
    $('.like-button').on('click', function(event) {
        event.preventDefault();
        $.ajax({
            url: viewtubeAjaxUrlObj.ajaxurl,
            type: 'POST',
            data: {
                action: 'viewtube_ajax_like_button',
                post_id: $(this).attr('data-id'),
                nonce: $(this).attr("data-nonce")
            },
            success: function(response) {
                console.log(response.success);
                if (response.success == true) {
                    $('.like-button').addClass('liked');
                    $('.like-button span').html(response.data.count+1);

                    $('.dislike-button').removeClass('disliked');
                    $('.dislike-button span').html(response.data.discount-1);
                } else if(response.success == false){
                    alert(response.data.message);
                    $('.like-button').removeClass('liked');
                    $('.like-button span').html(response.data.count-1);
                }
            }
        });

        return false;
    })

    // Dislike Button
    $('.dislike-button').on('click', function(event) {
        event.preventDefault();
        $.ajax({
            url: viewtubeAjaxUrlObj.ajaxurl,
            type: 'POST',
            data: {
                action: 'viewtube_ajax_dislike_button',
                post_id: $(this).attr('data-id'),
                nonce: $(this).attr("data-nonce")
            },
            success: function(response) {
                if (response.success == true) {
                    $('.dislike-button').addClass('disliked');
                    $('.dislike-button span').html(response.data.count+1);

                    $('.like-button').removeClass('liked');
                    $('.like-button span').html(response.data.discount-1);
                } else if(response.success == false){
                    alert(response.data.message);
                    $('.dislike-button').removeClass('disliked');
                    $('.dislike-button span').html(response.data.count-1);
                }

            }
        });

        return false;
    });

    // AJAX Search
    $(function() {
        $('.keyword').on('keyup', function(event) {
            $.ajax({
                url: viewtubeAjaxUrlObj.ajaxurl,
                type: 'POST',
                data: {
                    action: 'viewtube_ajax_search',
                    keyword: $('.keyword').val()
                },
                success: function(data) {
                    if ($('.keyword').val().length !== 0) {
                        $('.datafetch').html(data);
                    } else {
                        $('.datafetch').html('');
                    }
                }
            });

            $(".datafetch").show();
        });

        $(document).on('click', function(event) {
            $('.datafetch').hide();
        });
    });

    // My Account menu button
    $(function() {
        $('.my-account-button').on('click', function(event) {
            event.preventDefault();

            const dropdown = $(this).closest('.my-account-widget');

            if (dropdown.is('.open')) {
                dropdown.removeClass('open');
            } else {
                dropdown.addClass('open');
            }
        });

        $(document).on('click', function(event) {
            $('.my-account-widget')
                .not($(event.target).closest('.my-account-widget'))
                .removeClass('open');
        });
    });

    // Sidebar toggle
    $('.sidebar-toggle').on('click', function(event) {
        event.preventDefault();

        const dropdown = $('.sidebar-menu');

        if (dropdown.is('.open')) {
            dropdown.removeClass('open');
            $(".banners,.video-items").slick('slickRemove');
        } else {
            dropdown.addClass('open');
            $(".banners,.video-items").slick('slickRemove');
        }
    });

    $('.single-video .sidebar-menu,.page-template-video-upload .sidebar-menu').removeClass('open');

    //Sidebar position Fixed after scroll
    $(window).on('scroll', function() {
        if ($(document).scrollTop() > $('.main-container').height() - $('.site-footer').height() + 100) {
            $('.desktop-menu').css({
                position: 'sticky',
                top: 0
            });
        } else {
            $('.desktop-menu').css({
                position: 'fixed',
                top: 'unset'
            });
        }
    });

    // Newsletter Modal
    var storage = window.localStorage;
    $(window).on('load', function() {

        setTimeout(function() {
            if (storage.getItem('modal_stop') !== 'true') {
                $('#newsletterModal').modal('show');
            }
        }, $('#newsletterModal').data('time'));

        $('#dont-show').on('click', function() {
            if ($(this).is(":checked")) {
                storage.setItem('modal_stop', true);
            }
        });

        $('#dont-show-hour').on('click', function() {
            storage.setItem('modal_stop', true);
        });

    });

    // Departments menu button
    $(function() {
        $('.departments-menu-button').on('click', function(event) {
            event.preventDefault();

            const dropdown = $(this).closest('.departments-container');

            if (dropdown.is('.open')) {
                dropdown.removeClass('open');
            } else {
                dropdown.addClass('open');
            }
        });

        $(document).on('click', function(event) {
            $('.departments-container')
                .not($(event.target).closest('.departments-container'))
                .removeClass('open');
        });
    });

    //Mobile Nav Hide Show
    if ($('.off-canvas-menu').length) {

        var mobileMenuContent = $('.desktop-menu>ul').html();
        $('.off-canvas-menu .navigation').append(mobileMenuContent);

        //Menu Toggle Btn
        $('.mobile-nav-toggler').on('click', function() {
            $('body').addClass('off-canvas-menu-visible');
        });

        //Menu Toggle Btn
        $('.off-canvas-menu .menu-backdrop,.off-canvas-menu .close-btn').on('click', function() {
            $('body').removeClass('off-canvas-menu-visible');
        });
    }

    $('.off-canvas-menu li.menu-item-has-children').append('<div class="dropdown-btn"><span class="fa fa-angle-down"></span></div>');
    $('.off-canvas-menu li.menu-item-has-children .dropdown-btn').on('click', function() {
        $(this).prev('ul').slideToggle(500);
    });

    //Back to top
    $(window).on('scroll', function() {
        if ($(this).scrollTop() >= 700) {
            $('#backtotop').fadeIn(500);
        } else {
            $('#backtotop').fadeOut(500);
        }
    });

    $('#backtotop').on('click', function() {
        $('body,html').animate({
            scrollTop: 0
        }, 500);
    });

    function ajax_file_upload(file, className, postId, nonce) {
        var bar = $(className).find('.progress-bar');

        var file_data = new FormData();
        if (file) {
            file_data.append('action', 'viewtube_ajax_upload_file');
            file_data.append('nonce', nonce);
            file_data.append('file', file);
            file_data.append('video_id', postId);
        }

        $.ajax({
            url: viewtubeAjaxUrlObj.ajaxurl,
            type: 'POST',
            data: file_data,
            cache: false,
            contentType: false,
            processData: false,
            xhr: function() {
                var xhr = new window.XMLHttpRequest();
                xhr.upload.addEventListener("progress", function(evt) {
                    if (evt.lengthComputable) {
                        var percentComplete = Math.round(((evt.loaded / evt.total) * 100));
                        bar.width(percentComplete + '%');
                        bar.html(percentComplete + '%');
                    }
                }, false);
                return xhr;
            },
            beforeSend: function() {
                $(className).find('.progress').show();
            },
            success: function(data) {
                var dataObj = JSON.parse(data);

                var validVideoTypes = ['video/mp4', 'video/mpg', 'video/avi', 'video/m4v'];
                var validImageTypes = ['image/jpeg', 'image/png'];

                if (validVideoTypes.includes(dataObj.type)) {

                    $('<video />', {
                        src: dataObj.video,
                        type: dataObj.type,
                        width: '100%',
                        controls: true
                    }).appendTo(className);
                    $(className).removeClass('dropzone').addClass('dropcomplete');
                    $(className).find('.progress').hide();

                } else if (validImageTypes.includes(dataObj.type)) {

                    $(className).append(dataObj.image);
                    $(className).removeClass('dropzone').addClass('dropcomplete');
                    $(className).find('.progress').hide();
                }

                $('<input>').attr({
                    value: dataObj.id,
                    type: 'hidden',
                    name: className + '-id'
                }).appendTo(className);
            }
        });
    }

    //Video upload 
    $('#video-file').on('change', function(e) {
        var file = this.files[0];

        var validFileTypes = ['video/mp4', 'video/mpg', 'video/avi', 'video/m4v'];
        if (validFileTypes.includes(file['type'])) {
            ajax_file_upload(
                file,
                '.video',
                $(this).attr('data-video-id'),
                $(this).attr('data-nonce')
            );
        } else {
            alert('Invalid file type');
        }
    });

    //Thumbnail upload 
    $('#thumbnail-file').on('change', function(e) {
        var file = this.files[0];

        var validFileTypes = ['image/jpeg', 'image/png'];
        if (validFileTypes.includes(file['type'])) {
            ajax_file_upload(
                file,
                '.thumbnail',
                $(this).attr('data-video-id'),
                $(this).attr('data-nonce')
            );
        } else {
            alert('Invalid file type');
        }

    });

    // Drag and drop
    function dropzone(dropclass, validFileTypes) {
        var file = false;
        $(dropclass).on('drag dragstart dragend dragover dragenter dragleave drop', function(e) {
                e.preventDefault();
                e.stopPropagation();
            })
            .on('dragover dragenter', function() {
                $(this).addClass('is-dragover');
            })
            .on('dragleave dragend drop', function() {
                $(this).removeClass('is-dragover');
            })
            .on('drop', function(e) {
                file = e.originalEvent.dataTransfer.files[0];

                if (validFileTypes.includes(file['type'])) {
                    ajax_file_upload(
                        file,
                        dropclass,
                        $(this).attr('data-video-id'),
                        $(this).attr('data-nonce')
                    );
                } else {
                    alert('Invalid file type');
                }
            });
    }

    dropzone('.video', ['video/mp4', 'video/mpg', 'video/avi', 'video/m4v']);
    dropzone('.thumbnail', ['image/jpeg', 'image/png']);


    // Submit Video
    $('#submit-video').on('click', function(e) {
        e.preventDefault();
        $.ajax({
            url: viewtubeAjaxUrlObj.ajaxurl,
            type: 'POST',
            data: {
                action: 'viewtube_ajax_submit_video',
                nonce: $(this).attr('data-nonce'),
                video_data: $('form#video-uploader').serialize(),
                video_id: $(this).attr('data-video-id'),
            },
            success: function(data) {
                alert('Your video submitted successfully!');
                document.location.href = window.location.origin;
            },
            error: function() {
                alert('Something went wrong!');
            }
        });
    })

    // Subscribe
    $('.subscribe').on('click', function(e) {
        e.preventDefault();
        $.ajax({
            url: viewtubeAjaxUrlObj.ajaxurl,
            type: 'POST',
            data: {
                action: 'viewtube_ajax_subscribe',
                nonce: $(this).attr('data-nonce'),
                subscriber_id: $(this).attr('data-subscriber-id'),
                content_creator_id: $(this).attr('data-author-id'),
            },
            success: function(response) {
                
                if (response.data.message == 'Please login!') {
                    alert('Please login first!');
                    return;
                }

                if (response.success == true) {
                    $('.subscribe').html('Subscribed <i class="fas mr-0 fa-bell-on"></i>');
                } else {
                    $('.subscribe').html('Subscribe');
                }
            }
        });
    })


})(jQuery);