<?php 
/**
 * Template Name: Checkout
 */


global $viewtube_opt;
$currency_symbol = !empty($viewtube_opt['currency_symbol']) ? $viewtube_opt['currency_symbol'] : '$';
$payment_getway = !empty($viewtube_opt['payment_getway']) ? $viewtube_opt['payment_getway'] : '';

get_header(); ?>

<section class="section-padding">
	<div class="container">					
		<div class="row">
			<div class="col-md-6 offset-md-3">
				<form id="checkout">

					<div class="payment_loader">
						<span></span>
						<span></span>
						<span></span>
						<span></span>
					</div> 
					<?php if (!empty($_GET['order'])) {						
						$membership = get_term_by('id', $_GET['order'], 'membership_plan');?>						
						<table class="table mb-4">
							<thead class="thead-dark">
								<tr>
								  <th scope="col"><?php echo esc_html__( 'Package', 'viewtube' )?></th>
								  <th scope="col"><?php echo esc_html__( 'Subscription', 'viewtube' )?></th>
								  <th scope="col"><?php echo esc_html__( 'Total', 'viewtube' )?></th>
								</tr>
								</thead>
								<tbody>
								<tr>
								  	<td><?php echo esc_html( $membership->name ); ?></td>
								  	<td><?php $days = get_term_meta( $_GET['order'], 'days', true );
				                        if ($days == 1) {
				                           echo esc_html( 'Daily','viewtube' );
				                        } elseif($days == 7) {
				                           echo esc_html( 'Weekly','viewtube' );
				                        } elseif($days == 30) {
				                           echo esc_html( 'Monthly','viewtube' );
				                        } elseif($days == 365) {
				                           echo esc_html( 'Yearly','viewtube' );
				                        } ?>					                        	
				                    </td>
								  	<td><?php echo $currency_symbol.esc_html( get_term_meta ( $membership->term_id, 'price', true )); ?></td>
								</tr>
							</tbody>
						</table>
					<?php } ?>

					<div class="row">
						<div class="col-md-6">
							<input type="text" name='firstname' value="<?php echo esc_attr(get_user_by('id', get_current_user_id())->first_name) ?>" placeholder="<?php echo esc_attr('First name','viewtube'); ?>">
						</div>
						<div class="col-md-6">
							<input type="text" name='lastname' value="<?php echo esc_attr(get_user_by('id', get_current_user_id())->last_name) ?>" placeholder="<?php echo esc_attr('Last name','viewtube'); ?>">
						</div>
						<div class="col-md-12 mt-4 mb-4">
							<input type="email" name='email' value="<?php echo esc_attr(get_user_by('id', get_current_user_id())->user_email) ?>" placeholder="<?php echo esc_attr('Email','viewtube'); ?>">
						</div>
					</div>
					<ul class="list-unstyled payment-method">
						<?php if ($payment_getway['paypal'] == true){ ?>
							<li>
								<input type="radio" id="paypal" name="payment_method" value="paypal_payment_gateway">
								<label for="paypal"> Paypal <img class="float-right" src="<?php echo get_template_directory_uri() . '/assets/images/paypal.png' ?>" alt="paypal">
								</label>
							</li>
						<?php } ?>
						<?php if ($payment_getway['stripe'] == true){ ?>
							<li>
								<input type="radio" id="stripe" name="payment_method" value="stripe_payment_gateway">
								<label for="stripe"> Stripe <img class="float-right" src="<?php echo get_template_directory_uri() . '/assets/images/stripe.png' ?>" alt="stripe">
								</label>
								<div class="payment_form">
									<div id="card-element"></div>
									<div id="card-errors"></div>
								</div>
							</li>
						<?php } ?>
						<?php if ($payment_getway['paddle'] == true){ ?>
							<li>
								<input type="radio" id="paddle" name="payment_method" value="paddle_payment_gateway">
								<label for="paddle"> Paddle <img class="float-right" src="<?php echo get_template_directory_uri() . '/assets/images/paddle.png' ?>" alt="Paddle">
								</label>
							</li>
						<?php } ?>
					</ul>
					<input type="hidden" name="membership_id" value="<?php echo esc_attr($membership->term_id) ?>">
					<input type="hidden" name="nonce" value="<?php echo wp_create_nonce( 'place_order_nonce' ) ?>">
					<input type="submit" class="mt-3" value="<?php echo esc_attr__( 'Place order', 'viewtube' ) ?>">
				</form>
			</div>
		</div>
	</div>
</section>

<?php get_footer();