<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package viewtube
 */
namespace Elementor;
global $viewtube_opt;

$footer_widget_display = !empty( $viewtube_opt['footer_widget_display'] ) ? $viewtube_opt['footer_widget_display'] : '';
$viewtube_footer_template = !empty( $viewtube_opt['viewtube_footer_template'] ) ? $viewtube_opt['viewtube_footer_template'] : '';
$viewtube_copyright_info = isset( $viewtube_opt['viewtube_copyright_info'] ) ? $viewtube_opt['viewtube_copyright_info'] : '';
$newsletter_modal_switch = isset( $viewtube_opt['newsletter_modal_switch'] ) ? $viewtube_opt['newsletter_modal_switch'] : '';
$modal_image = isset( $viewtube_opt['modal_image']['url'] ) ? $viewtube_opt['modal_image']['url'] : '';
$modal_title = isset( $viewtube_opt['modal_title'] ) ? $viewtube_opt['modal_title'] : '';
$modal_description = isset( $viewtube_opt['modal_description'] ) ? $viewtube_opt['modal_description'] : '';
$modal_shortcode = isset( $viewtube_opt['modal_shortcode'] ) ? $viewtube_opt['modal_shortcode'] : '';
$modal_timeout = isset( $viewtube_opt['modal_timeout'] ) ? $viewtube_opt['modal_timeout'] : 5000;
$backtotop = isset( $viewtube_opt['backtotop'] ) ? $viewtube_opt['backtotop'] : true;
?>
			
			</div>
		</div>
	</div>
	<footer id="colophon" class="site-footer">
		<?php if ( $footer_widget_display == true ): ?>
			<?php echo Plugin::instance()->frontend->get_builder_content_for_display( $viewtube_footer_template ); ?>
		<?php endif ?>
		<div class="copyright-bar">
			<div class="container">
				<div class="row justify-content-center">
					<div class="col-sm-12 text-center">
						<p>
						<?php
			    		if( $viewtube_copyright_info ) {
							echo wp_kses( $viewtube_copyright_info , array(
								'a'       => array(
								'href'    => array(),
								'title'   => array()
								),
								'br'      => array(),
								'em'      => array(),
								'strong'  => array(),
								'img'     => array(
									'src' => array(),
									'alt' => array()
								),
							));
						} else {
							echo esc_html__('Copyright', 'viewtube'); ?> &copy; <?php echo esc_html( date("Y") ).' '.esc_html( get_bloginfo('name') ).' '.esc_html__(' All Rights Reserved.', 'viewtube' );
						}
						?>
						</p>
					</div>					
				</div>
			</div>
		</div>
	</footer>

<?php if ($backtotop == true) {?>
	<!--======= Back to Top =======-->
	<div id="backtotop"><i class="fal fa-lg fa-arrow-up"></i></div>
<?php } ?>


<?php if ($newsletter_modal_switch == true): ?>
	<div class="modal fade" id="newsletterModal" tabindex="-1" data-time="<?php echo esc_attr( $modal_timeout ) ?>" role="dialog" aria-hidden="true">
	  <div class="modal-dialog modal-dialog-centered" role="document">
	    <div class="modal-content">
	        <a href="#" type="button" class="close" id="dont-show-hour" data-dismiss="modal" aria-label="Close">
	          <span aria-hidden="true">&times;</span>
	      	</a>
		    <div class="modal-body">
    			<img src="<?php echo esc_html( $modal_image ) ?>" alt="<?php echo esc_attr( $modal_title ) ?>">
    			<div class="modal-text-content">
	    			<h2><?php echo esc_html( $modal_title ) ?></h2>
	    			<p><?php echo esc_html( $modal_description ) ?></p>
	    			<div class="mt-4"><?php echo do_shortcode( $modal_shortcode ) ?></div>

	    			<div class="d-inline-block mt-3">
					    <input type="checkbox" class="form-check-input" id="dont-show">
					    <label class="form-check-label" for="dont-show"><?php echo esc_html__( 'Don\'t show this message again', 'viewtube' ) ?></label>
				    </div>
			    </div>
		    </div>
	    </div>
	  </div>
	</div>
<?php endif ?>

<?php wp_footer(); ?>

</body>
</html>
