<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package viewtube
 */

get_header();

$video_resolution = get_post_meta( get_the_ID(), 'video_resolution', 1 );
?>

<section class="section-padding">
	<div class="container">
		<?php
		
		if ( have_posts() ) :
		/* Start the Loop */
		while ( have_posts() ) :
			the_post();

			/*
			 * Include the Post-Type-specific template for the content.
			 * If you want to override this in a child theme, then include a file
			 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
			 */
			if (is_archive( 'video' )) { ?>

			<div class="video-item-horizontal mb-30">
				<div class="row">
					<div class="col-md-5">
						<div class="video-item-card">
							<?php do_action( 'video_player','viewtube-player' ); ?>
						</div>
					</div> 
					<div class="col-md-7">
						<a href="<?php the_permalink() ?>">
							<?php the_title( '<h4>','</h4>' ) ?>
						</a>
						<ul class="list-inline mt-4">
							<li class="list-inline-item">
								<i class="fas fa-eye"></i>
								<?php echo esc_html(viewtube_get_post_views(get_the_ID())); ?>
							</li>
							<li class="list-inline-item">
								<i class="fal fa-calendar-alt"></i>   	
								<?php echo esc_html( human_time_diff( get_the_time('U'), current_time('timestamp') ) ) . ' ago'; ?>
							</li>
						</ul>
						<p>
							<?php echo wp_trim_words( get_the_content(), 25, '..' ); ?>
						</p>
						<ul class="list-inline mt-4">
							<li class="list-inline-item">
								<?php $categories = get_the_terms( get_the_ID(), 'video_category' );
		                        if ( !empty( $categories ) ) {
		                           echo '<i class="fas fa-tags"></i> <a href="' . esc_url( get_category_link( $categories[0]->term_id ) ) . '">' . esc_html( $categories[0]->name ) . '</a>';
		                        }?>
							</li>
							<li class="list-inline-item">
								<?php if ($video_resolution): ?>
			                        <div class="d-block">                        	
			                        	<i class="fas fa-film"></i><?php echo esc_html($video_resolution); ?>
			                        </div>
		                        <?php endif ?>
							</li>
						</ul>
                        <div class="mt-4">
							<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>">
					            <img class="avatar" src="<?php echo esc_url( get_avatar_url( get_the_author_meta( 'ID' ) ) ); ?>" alt="<?php the_author(); ?>">
					        </a>
				            <span class="pl-10 pr-10"> <?php the_author(); ?></span>
			            </div>
					</div>							
				</div>
			</div>

			<?php } else {
				get_template_part( 'template-parts/content', 'video' );
			}

		endwhile;

			the_posts_pagination( array(
			    'mid_size'  => 2,
			    'prev_text' => esc_html__( '&#10094; Prev', 'viewtube' ),
			    'next_text' => esc_html__( 'Next &#10095;', 'viewtube' ),
			) );

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>
	</div>
</section>
<?php get_footer();
