<?php

global $viewtube_opt;

$video_social_share = !empty( $viewtube_opt['video_social_share'] ) ? $viewtube_opt['video_social_share'] : '';
$viewtube_video_details_post_navigation = !empty( $viewtube_opt['viewtube_video_details_post_navigation'] ) ? $viewtube_opt['viewtube_video_details_post_navigation'] : '';
$video_duration = get_post_meta( get_the_ID(), 'video_duration', 1 );
$video_release = get_post_meta( get_the_ID(), 'video_release', 1 );
$video_resolution = get_post_meta( get_the_ID(), 'video_resolution', 1 );
$likes = get_post_meta( get_the_ID(), 'like_'.viewtube_get_the_user_ip(), true );
$dislikes = get_post_meta( get_the_ID(), 'dislike_'.viewtube_get_the_user_ip(), true );

$table ='viewtube_subscribe';

if($wpdb->get_var("SHOW TABLES LIKE '$table'") == $table) {
  $query = "SELECT * FROM viewtube_subscribe WHERE `subscriber_id` = '".get_current_user_id()."' AND `content_creator_id` = '" .get_post_field( 'post_author', get_the_ID()). "'";
  if ($wpdb->get_results($query, ARRAY_A)) {
    $check_subscription = $wpdb->get_results($query, ARRAY_A)[0];
  }
 
}

$current_post_id = get_the_ID();
$like_count = $wpdb->get_results( "SELECT meta_value FROM $wpdb->postmeta WHERE post_id = '$current_post_id' AND meta_key LIKE 'like_%'" );;
$dislike_count = $wpdb->get_results( "SELECT meta_value FROM $wpdb->postmeta WHERE post_id = '$current_post_id' AND meta_key LIKE 'dislike_%'" );

get_header(); 

$video_file = wp_get_attachment_metadata(attachment_url_to_postid(get_post_meta(get_the_ID(), 'video_file', true )));
?>

<section class="bg-gray pt-4 pr-15 pl-15">
    <div class="container-fluid">
        <div class="row">
            <div class="<?php if ( is_active_sidebar('video-sidebar') ){ echo'col-xl-8 col-md-7'; } else { echo'col-lg-12'; } ?>">
                <?php                
                while ( have_posts() ) : the_post();
                    if (function_exists('viewtube_set_post_views')) {
                        viewtube_set_post_views(get_the_ID());
                    }
                    
                    do_action( 'video_player','viewtube-player-single' ); ?>
                    
                    <ul class="video-meta">
                        <li>
                            <i class="fas fa-eye"></i><?php echo esc_html(viewtube_get_post_views(get_the_ID())); ?>
                        </li>
                        <li>
                            <?php $categories = get_the_terms( get_the_ID(), 'video_category' );
                            if ( !empty( $categories ) ) {
                               echo '<i class="fas fa-tags"></i> <a href="' . esc_url( get_category_link( $categories[0]->term_id ) ) . '">' . esc_html( $categories[0]->name ) . '</a>';
                            }?>
                        </li>
                        <li>
                            <i class="fas fa-photo-video"></i>
                            <?php
                            if ($video_duration) {
                                echo esc_html($video_duration);
                            }else{ 
                                echo esc_html($video_file['length_formatted']);
                            }; ?>
                        </li>
                        <li>
                            <i class="fas fa-calendar-alt"></i>
                            <?php if ($video_release) {
                                echo esc_html($video_release);
                            }else{ 
                                echo esc_html(date("M d Y", $video_file['created_timestamp']));
                            };?>
                        </li>
                        <li>
                            <i class="fas fa-film"></i>
                            <?php if ($video_resolution) {
                                echo esc_html($video_resolution);
                            } else { 
                                if ($video_file['width'] <= 720) {
                                    echo esc_html__( 'WVGA', 'viewtube' );
                                } elseif ($video_file['width'] <= 1280) {
                                    echo esc_html__( 'HD', 'viewtube' );
                                }  elseif ($video_file['width'] <= 1920) {
                                    echo esc_html__( 'Full HD', 'viewtube' );
                                }  elseif ($video_file['width'] <= 3840) {
                                    echo esc_html__( '4K', 'viewtube' );
                                } else {
                                    echo esc_html($video_file['width']);
                                }
                            };?>
                        </li>
                    </ul> 
                    <div class="container-fluid">
                        <div class="row mt-15 mb-15">
                            <div class="col-sm-6 my-auto">
                                <div class="video-like">
                                    <a href="#" title="Like" class="mr-4 like-button <?php if (!empty($likes)){echo' liked ';} ?>" data-id="<?php the_ID(); ?>" data-nonce="<?php echo esc_attr(wp_create_nonce( 'viewtube_like_nonce' )); ?>"><i class="fas fa-thumbs-up"></i>
                                        <span>
                                            <?php if (!empty($like_count)) {
                                                echo esc_html(count($like_count)); 
                                            }else{
                                                echo "0";
                                            }  ?>
                                        </span>
                                    </a>
                                    <a href="#" title="Dislike" class="mr-4 dislike-button <?php if (!empty($dislikes)) {echo' disliked ';} ?>" data-id="<?php the_ID(); ?>" data-nonce="<?php echo esc_attr(wp_create_nonce( 'viewtube_dislike_nonce' )); ?>"><i class="fas fa-thumbs-down"></i>
                                        <span>
                                            <?php if (!empty($dislike_count)) {
                                                echo esc_html(count($dislike_count)); 
                                            }else{
                                                echo "0";
                                            } ?>
                                        </span>
                                    </a>
                                </div>
                            </div>
                             <div class="col-sm-6 my-auto">
                                <?php if (true == $video_social_share){ ?>
                                    <div class="video-shere">
                                        <h5 class="mb-0">Share</h5>
                                        <?php viewtube_social_share() ?>
                                    </div>
                                <?php } ?>                                
                            </div>
                        </div>
                    </div>

                    <div class="d-flex content-creator justify-content-between">
                        <div class="my-auto">
                            <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>">
                            <img src="<?php echo esc_url( get_avatar_url( get_the_author_meta( 'ID' ) ) ); ?>" alt="<?php the_author(); ?>"></a>
                            <span class="pl-10"> <?php the_author(); ?></span>
                        </div>
                        <div class="my-auto">
                            <a href="#" class="viewtube-btn subscribe" data-subscriber-id="<?php echo esc_attr(get_current_user_id()); ?>" data-author-id="<?php echo esc_attr(get_the_author_meta( 'ID' )); ?>" data-nonce="<?php echo esc_attr(wp_create_nonce( 'viewtube_subscribe_nonce' )); ?>">
                                <?php 
                                if (isset($check_subscription)) {
                                    echo esc_html__( 'Subscribed ', 'viewtube' ).'<i class="fas mr-0 fa-bell-on"></i>';
                                }else{
                                    echo esc_html__( 'Subscribe', 'viewtube' );
                                } ?>
                            </a>
                        </div>
                    </div>

                    <div class="entry-content">
                        <?php the_title( '<h1 class="video-entry-title">', '</h1>' ); ?>
                        <?php
                        the_content( sprintf(
                            wp_kses(
                                /* translators: %s: Name of current post. Only visible to screen readers */
                                __( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'viewtube' ),
                                array(
                                    'span' => array(
                                        'class' => array(),
                                    ),
                                )
                            ),
                            get_the_title()
                        ) );

                        wp_link_pages( array(
                            'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'viewtube' ),
                            'after'  => '</div>',
                        ) );
                        ?>
                    </div><!-- .entry-content -->

                    <?php if (get_the_tags()): ?>
                        <div class="tags">
                            <?php the_tags( $before = '',' ','')     ?>
                            <?php if ( $social_share == true ){ 
                                if (function_exists('viewtube_social_share')) {?>
                                    <div class="post-share">
                                        <?php viewtube_social_share(); ?>               
                                    </div><!-- .post-share -->
                                <?php }
                            } ?>
                        </div>
                    <?php endif ?>
                    <?php 

                    if ( true == $viewtube_video_details_post_navigation ) {
                        the_post_navigation( array(
                            'prev_text' => esc_html__('&#171; Previous Video', 'viewtube'),
                            'next_text' => esc_html__('Next Video &#187;', 'viewtube')
                        ) );
                    }?>
                    <div class="pb-100">
                        <?php

                        // If comments are open or we have at least one comment, load up the comment template.
                        if ( comments_open() || get_comments_number() ) :
                            comments_template();
                        endif;?>
                    </div>
                <?php

                endwhile; // End of the loop.
                ?>
            </div>
            <?php if ( is_active_sidebar('video-sidebar') ){ ?>
            <div class="col-xl-4 col-md-5">
                <?php dynamic_sidebar( 'video-sidebar' ); ?>
            </div>
            <?php } ?>
        </div>
    </div>
</section>

<?php get_footer();