<?php 
/**
 * Template Name: Subscriptions
 */

global $wpdb;    
$creators = $wpdb->get_results( 'SELECT * FROM viewtube_subscribe WHERE subscriber_id = '.get_current_user_id().'',ARRAY_A);

foreach ($creators as $key => $creator) {
	$creator_ids[] = $creator['content_creator_id'];
}

get_header(); ?>

<section class="section-padding">
	<div class="row justify-content-center">
		<?php
			if (is_user_logged_in()){ 
				if ( get_query_var( 'paged' ) ) {
					$paged = get_query_var( 'paged' );
				} else if ( get_query_var( 'page' ) ) {

					$paged = get_query_var( 'page' );
				} else {
					$paged = 1;
				}

				$video = new WP_Query( array(
				    'post_type'   => 'video',
				    'post_status' => 'publish',
				    // 'posts_per_page' => $settings['ppp']['size'],
				    'author'      => !empty($creator_ids) ? implode( ',', $creator_ids ) : '',
				    'paged' => $paged,
				));
				/* Start the Loop */
				if ( $creators ) {
				while ( $video->have_posts() ) { $video->the_post(); ?>
					<div class="col-xl-3 col-lg-4 col-md-6">
						<div class="video-item-card">
			               <?php if (has_post_thumbnail()): ?>
			               <div class="video-thumb">
			               	<?php do_action( 'video_player','viewtube-player' ); ?>
			               </div>
			               <?php endif ?> 
			               <div class="video-content">
			                  <div class="d-flex">
			                     <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>" class="avatar">
			                        <img src="<?php echo esc_url( get_avatar_url( get_the_author_meta( 'ID' ) ) ); ?>" alt="<?php the_author(); ?>">
			                     </a>
			                     <div class="my-auto">
			                        <a href="<?php the_permalink() ?>">
			                           <h5><?php echo mb_strimwidth( get_the_title(), 0, 50, '..' );?></h5>
			                        </a>
			                        <ul class="list-inline">
			                           <li class="list-inline-item">
			                              <a class="author" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>">
			                                 <?php the_author(); ?>
			                              </a>
			                           </li>
			                           <li class="list-inline-item">
			                              <div class="d-flex video-meta-bottom">     
			                                 <?php echo esc_html(viewtube_get_post_views(get_the_ID())); ?>
			                                 <i class="fas fa-circle ml-2 mr-2"></i>
			                                 <?php echo esc_html( human_time_diff( get_the_time('U'), current_time('timestamp') ) ) . ' ago'; ?>
			                              </div>
			                           </li>
			                        </ul>    
			                     </div>
			                  </div>
			               </div>
			            </div>
		            </div>
				<?php } ?>
				<div class="col-xl-12">		
					<div class="pagination">	
						<div class="nav-links">	
							<?php
							$big = 999999999; // need an unlikely integer

							echo paginate_links( array(
							    'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
							    'format' => '?paged=%#%',
							    'current' => max( 1, get_query_var('paged') ),
							    'total' => $video->max_num_pages
							)); ?>
						</div>
					</div>
				</div>
				<?php } else { ?>
					<div class="text-center">
						<h2><?php echo esc_html__( 'You have no active subscriptions', 'viewtube' ); ?></h2>
					</div>
				<?php } ?>
			<?php }else{ ?>
			<div class="text-center">
				<h2><?php echo esc_html__( 'To watch subscription videos. please login first', 'viewtube' ); ?></h2>
				<a href="<?php echo esc_url( wp_login_url( get_permalink() ) ); ?>" class="viewtube-btn mt-5"><?php echo esc_html__( 'Register or Login', 'viewtube' ); ?></a>
			</div>
		<?php } ?>
	</div>
</section>


 
<?php
get_footer();