<?php

global $viewtube_opt;
$video_preview_mode = !empty( $viewtube_opt['video_preview_mode'] ) ? $viewtube_opt['video_preview_mode'] : 'video';
$poster = get_the_post_thumbnail_url(get_the_ID(), 'full');
get_header();
?>

<section class="pt-4">
	<div class="container-fluid">
		<div class="row">
			<?php
			
			if ( have_posts() ) {
			/* Start the Loop */
			while ( have_posts() ) { the_post(); ?>
				<div class="col-xl-3 col-lg-4 col-md-6">
					<div class="video-item-card">
		               <?php if (has_post_thumbnail()){
			               	if ($video_preview_mode == 'video') {?>
				               <div class="video-thumb">
				               	<?php do_action( 'video_player','viewtube-player' ); ?>
				               </div>
			               	<?php } elseif($video_preview_mode == 'thumbnail'){?>
								<div class="video-thumbnail">
									<a href="<?php the_permalink(); ?>">
										<?php if ($poster){ ?>
											<img src="<?php echo esc_url(get_template_directory_uri().'/assets/images/preloader.gif') ?>" data-src="<?php echo get_the_post_thumbnail_url(get_the_ID(), 'full') ?>" alt="<?php the_title_attribute(); ?>">
										<?php }else{?>
											<img src="<?php echo esc_url(get_template_directory_uri().'/assets/images/placeholder.png') ?>" alt="<?php the_title_attribute(); ?>">
										<?php } ?>
									</a>
								</div>
							<?php }
						} ?>
		               <div class="video-content">
		                  <div class="d-flex">
		                     <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>" class="avatar">
		                        <img src="<?php echo esc_url( get_avatar_url( get_the_author_meta( 'ID' ) ) ); ?>" alt="<?php the_author(); ?>">
		                     </a>
		                     <div class="my-auto">
		                        <a href="<?php the_permalink() ?>">
		                           <h5><?php echo mb_strimwidth( get_the_title(), 0, 50, '..' );?></h5>
		                        </a>
		                        <ul class="list-inline">
		                           <li class="list-inline-item">
		                              <a class="author" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>">
		                                 <?php the_author(); ?>
		                              </a>
		                           </li>
		                           <li class="list-inline-item">
		                              <div class="d-flex video-meta-bottom">     
		                                 <?php echo esc_html(viewtube_get_post_views(get_the_ID())); ?>
		                                 <i class="fas fa-circle ml-2 mr-2"></i>
		                                 <?php echo esc_html( human_time_diff( get_the_time('U'), current_time('timestamp') ) ) . ' ago'; ?>
		                              </div>
		                           </li>
		                        </ul>    
		                     </div>
		                  </div>
		               </div>
		            </div>
	            </div>
			<?php } ?>

			<div class="col-xl-12">					
				<?php the_posts_pagination( array(
				    'mid_size'  => 2,
				    'prev_text' => esc_html__( '&#10094; Prev', 'viewtube' ),
				    'next_text' => esc_html__( 'Next &#10095;', 'viewtube' ),
				) ); ?>
			</div>

			<?php }else {

				get_template_part( 'template-parts/content', 'none' );

			} ?>
		</div>
	</div>
</section>
<?php get_footer();
