<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package viewtube
 */

global $viewtube_opt;
 
$social_share = !empty( $viewtube_opt['social_share'] ) ? $viewtube_opt['social_share'] : '';

?>
<?php if ( is_single() ): ?>

	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php if ( has_post_thumbnail() ): ?>
	<div class="post_thumbnail">
		<?php the_post_thumbnail( 'viewtube-1280x720' ) ?>
	</div>
	<?php endif ?>

	<div class="entry-content">

		<div class="entry-meta mt-3">
			<div class="blog-meta">
				<ul class="list-inline">
					<li class="list-inline-item">
						<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>">
			            	<img src="<?php echo esc_url( get_avatar_url( get_the_author_meta( 'ID' ) ) ); ?>" alt="<?php the_author(); ?>">
			            </a>
			            <span> <?php the_author(); ?></span>
					</li>
					<li class="list-inline-item">
						<span>
			               <?php $categories = get_the_category();
			               if ( !empty( $categories ) ) {
			                   echo '<i class="fal fa-tags"></i> <a href="' . esc_url( get_category_link( $categories[0]->term_id ) ) . '">' . esc_html( $categories[0]->name ) . '</a>';
			               }?>
			            </span>
					</li>
					<li class="list-inline-item">
						<span>
			            	<i class="fal fa-comments-alt"></i> <a href="<?php comments_link(); ?>"><?php printf( _nx( '1 Comment', '%1$s Comments', get_comments_number(), 'comments title', 'viewtube' ), number_format_i18n( get_comments_number() ) );?></a>
			            </span>
					</li>
				</ul>
         	</div>			
		</div><!-- .entry-meta -->

		<?php
		the_content( sprintf(
			wp_kses(
				/* translators: %s: Name of current post. Only visible to screen readers */
				__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'viewtube' ),
				array(
					'span' => array(
						'class' => array(),
					),
				)
			),
			get_the_title()
		) );

		wp_link_pages( array(
			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'viewtube' ),
			'after'  => '</div>',
		) );
		?>
	</div><!-- .entry-content -->

	<?php if (get_the_tags()): ?>
		<div class="tags">
			<?php the_tags( $before = '',' ','')	 ?>
			<?php if ( $social_share == true ){ 
				if (function_exists('viewtube_social_share')) {?>
					<div class="post-share">
				        <?php viewtube_social_share(); ?>		        
				    </div><!-- .post-share -->
				<?php }
			} ?>
		</div>
	<?php endif ?>
	

</article>

<?php else: ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="blog-item">
	  <?php if (has_post_thumbnail()): ?>
	  <div class="blog-thumb">
	     <a href="<?php the_permalink() ?>">
	        <?php the_post_thumbnail( 'viewtube-600x399' ) ?>
	     </a>
	  </div>
	  <?php endif ?> 
	  <div class="blog-content">

	   	<h4><a href="<?php the_permalink() ?>"><?php echo mb_strimwidth( get_the_title(), 0, 100, '..' ); ?></a></h4>
	    <div class="blog-meta">
	        <ul class="list-inline">
				<li class="list-inline-item">
					<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>">
		            	<img src="<?php echo esc_url( get_avatar_url( get_the_author_meta( 'ID' ) ) ); ?>" alt="<?php the_author(); ?>">
		            </a>
		            <span> <?php the_author(); ?></span>
				</li>
				<li class="list-inline-item">
					<span>
		               <?php $categories = get_the_category();
		               if ( !empty( $categories ) ) {
		                   echo '<i class="fal fa-tags"></i> <a href="' . esc_url( get_category_link( $categories[0]->term_id ) ) . '">' . esc_html( $categories[0]->name ) . '</a>';
		               }?>
		            </span>
				</li>
				<li class="list-inline-item">
					<span>
		            	<i class="fal fa-comments-alt"></i> <a href="<?php comments_link(); ?>"><?php printf( _nx( '1 Comment', '%1$s Comments', get_comments_number(), 'comments title', 'viewtube' ), number_format_i18n( get_comments_number() ) );?></a>
		            </span>
				</li>
			</ul>
     	</div>
	   <?php echo wp_trim_words( get_the_content(), 35, '...' );?>
	  </div>
	</div>
</article>
	
<?php endif ?>
