<?php
/**
 * Template Name: Video Upload
 */

get_header(); ?>
<?php if (is_user_logged_in()){ 
	
	$video_id = wp_insert_post(array(
		'post_title' => '',
		'post_status' => 'pending',
		'post_author' => get_current_user_id(),
		'post_type' => 'video'
	)); ?>
	
	<form id="video-uploader" enctype="multipart/form-data">
		<div class="text-center mb-5">
			<h1 class="font-weight-bold"><?php echo esc_html__( 'Upload Your Video', 'viewtube' ) ?></h1>
		</div>
		<input name="title" type="text" placeholder="<?php echo esc_html__( 'Title', 'viewtube' ) ?>">

		<textarea name="description" placeholder="<?php echo esc_html__( 'Description', 'viewtube' ) ?>"></textarea>

		<ul class="nav nav-tabs">
			<li class="nav-item">
				<a class="nav-link active" id="home-tab" data-toggle="tab" href="#upload" aria-selected="true"><i class="fas fa-upload"></i><?php echo esc_html__( 'Upload', 'viewtube' ) ?></a>
			</li>
			<li class="nav-item">
				<a class="nav-link" id="profile-tab" data-toggle="tab" href="#url" aria-selected="false"><i class="fas fa-link"></i><?php echo esc_html__( 'URL', 'viewtube' ) ?></a>
			</li>
			<li class="nav-item">
				<a class="nav-link" id="profile-tab" data-toggle="tab" href="#youtube" aria-selected="false"><i class="fab fa-youtube"></i><?php echo esc_html__( 'Youtube', 'viewtube' ) ?></a>
			</li>
			<li class="nav-item">
				<a class="nav-link" id="contact-tab" data-toggle="tab" href="#vimeo" aria-selected="false"><i class="fab fa-vimeo-v"></i><?php echo esc_html__( 'Vimeo', 'viewtube' ) ?></a>
			</li>
		</ul>
		
		<div class="tab-content">
			<div class="tab-pane fade show active" id="upload">
				<div class="dropzone video" data-nonce="<?php echo wp_create_nonce( 'upload_file_nonce' ) ?>" data-video-id="<?php echo esc_attr($video_id) ?>">
				    <input type="file" name="video-file" id="video-file" data-nonce="<?php echo wp_create_nonce( 'upload_file_nonce' ) ?>" data-video-id="<?php echo esc_attr($video_id) ?>">
				    <label for="video-file"><strong><?php echo esc_html__( 'Choose a video', 'viewtube' ) ?></strong><span class="box__dragndrop"> <?php echo esc_html__( 'or drag it here', 'viewtube' ) ?></span>.</label>
				    <div class="progress">
					  <div class="progress-bar progress-bar-striped progress-bar-animated" style="width: 0%"></div>
					</div>
				</div>
				<input name="video-caption-file" type="url" placeholder="<?php echo esc_html__( 'video caption URL (Optional)', 'viewtube' ) ?>">
			</div>
			<div class="tab-pane fade" id="url">
				<input name="url" type="url" placeholder="<?php echo esc_html__( 'URL', 'viewtube' ) ?>">
				<input name="video-caption-file" type="url" placeholder="<?php echo esc_html__( 'video caption URL (Optional)', 'viewtube' ) ?>">
			</div>
			<div class="tab-pane fade" id="youtube">
				<input name="youtube" type="url" placeholder="<?php echo esc_html__( 'Youtube', 'viewtube' ) ?>">
			</div>
			<div class="tab-pane fade" id="vimeo">
				<input name="vimeo" type="url" placeholder="<?php echo esc_html__( 'Vimeo', 'viewtube' ) ?>">
			</div>
		</div>

		<div class="dropzone thumbnail" data-nonce="<?php echo wp_create_nonce( 'upload_file_nonce' ) ?>" data-video-id="<?php echo esc_attr($video_id) ?>">
		    <input type="file" name="thumbnail-file" id="thumbnail-file" data-nonce="<?php echo wp_create_nonce( 'upload_file_nonce' ) ?>" data-video-id="<?php echo esc_attr($video_id) ?>">
		    <label for="thumbnail-file"><strong><?php echo esc_html__( 'Choose a thumbnail', 'viewtube' ) ?></strong><span class="box__dragndrop"> <?php echo esc_html__( 'or drag it here', 'viewtube' ) ?></span>.</label>
		    <div class="progress">
			  <div class="progress-bar progress-bar-striped progress-bar-animated" style="width: 0%"></div>
			</div>
		</div>

		<input name="video-duration" type="text" placeholder="<?php echo esc_html__( 'Duration Examlpe: 2 h 40 min', 'viewtube' ) ?>">
		
		<fieldset class="form-group">
		    <div class="row">
		      <legend class="col-form-label col-sm-2 pt-0"><?php echo esc_html__( 'Video resolution', 'viewtube' ) ?></legend>
		      <div class="col-sm-10">
		        <div class="form-check">
		          <input class="form-check-input" type="radio" name="video-resolution" id="HD" value="HD" checked>
		          <label class="form-check-label" for="HD">
		            <?php echo esc_attr__( 'HD', 'viewtube' ) ?>
		          </label>
		        </div>
		        <div class="form-check">
		          <input class="form-check-input" type="radio" name="video-resolution" id="4K" value="4K">
		          <label class="form-check-label" for="4K">
		            <?php echo esc_attr__( '4K', 'viewtube' ) ?>
		          </label>
		        </div>
		        <div class="form-check">
		          <input class="form-check-input" type="radio" name="video-resolution" id="8K" value="8K">
		          <label class="form-check-label" for="8K">
		            <?php echo esc_attr__( '8K', 'viewtube' ) ?>
		          </label>
		        </div>
		      </div>
		    </div>
		</fieldset>

		<fieldset class="form-group">
		    <div class="row">
		      <legend class="col-form-label col-sm-2 pt-0"><?php echo esc_html__( 'Video Display As', 'viewtube' ) ?></legend>
		      <div class="col-sm-10">
		        <div class="form-check">
		          <input class="form-check-input" type="radio" name="video-display-as" id="check-default" value="default" checked>
		          <label class="form-check-label" for="check-default">
		            <?php echo esc_attr__( 'Default', 'viewtube' ) ?>
		          </label>
		        </div>
		        <div class="form-check">
		          <input class="form-check-input" type="radio" name="video-display-as" id="check-youtube" value="youtube">
		          <label class="form-check-label" for="check-youtube">
		            <?php echo esc_attr__( 'YouTube', 'viewtube' ) ?>
		          </label>
		        </div>
		        <div class="form-check">
		          <input class="form-check-input" type="radio" name="video-display-as" id="check-vimeo" value="vimeo">
		          <label class="form-check-label" for="check-vimeo">
		            <?php echo esc_attr__( 'Vimeo', 'viewtube' ) ?>
		          </label>
		        </div>
		      </div>
		    </div>
		</fieldset>

		<label><?php echo esc_html__('Category','viewtube'); ?></label>
		<select name="category" class="form-control">
			<?php viewtube_get_option_list('video_category', 'video_category', $video_id); ?>
		</select>

		<a href="#" class="viewtube-btn" id="submit-video" data-video-id="<?php echo esc_attr($video_id) ?>" data-nonce="<?php echo wp_create_nonce( 'submit_video_nonce' ) ?>"><?php echo esc_html__( 'Submit Video', 'viewtube' ) ?></a>
	</form>

<?php } else {?>

	<div class="container">
		<div class="row">
			<div class="col-sm-12 my-auto">
				<div class="error-404">
					<div class="d-block mb-5">
						<i class="fad fa-upload fa-10x"></i>
					</div>
					<h1><?php echo esc_html__('To Upload a Video, The User Must Require a Login','viewtube'); ?></h1>
					<a href="<?php echo esc_url( wp_login_url( get_permalink() ) ); ?>" class="viewtube-btn mb-5"><?php echo esc_html__( 'Register or Login', 'viewtube' ); ?></a> 	
				</div>
			</div>
		</div>
	</div>
<?php } ?>


<?php get_footer();